Bug 706936 - [abrt] openlierox-0.57-0.16.beta8.fc15: std::_Rb_tree_decrement: Process /usr/bin/openlierox was killed by signal 11 (SIGSEGV)
[abrt] openlierox-0.57-0.16.beta8.fc15: std::_Rb_tree_decrement: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openlierox (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
abrt_hash:d22d3f501739cd879a21e4b56c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-23 10:20 EDT by Michael Scherer
Modified: 2012-01-27 22:32 EST (History)
6 users (show)

See Also:
Fixed In Version: openlierox-0.59-0.2.beta9.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-27 22:29:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2011-05-23 10:20:54 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        openlierox
comment:        just starting openlierox from the command line
component:      openlierox
crash_function: std::_Rb_tree_decrement
executable:     /usr/bin/openlierox
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        openlierox-0.57-0.16.beta8.fc15
rating:         4
reason:         Process /usr/bin/openlierox was killed by signal 11 (SIGSEGV)
time:           Mon May 23 15:33:38 2011
uid:            500
username:       misc

event_log:      Binary file, 1282 bytes

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b /var/cache/abrt-di/usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b
:[New LWP 5380]
:[Thread debugging using libthread_db enabled]
:Core was generated by `openlierox'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x001b097d in std::_Rb_tree_decrement (__x=0x8352e88) at ../../../../libstdc++-v3/src/tree.cc:91
:91	    if (__x->_M_color == _S_red 
:
:Thread 1 (Thread 0xb78026d0 (LWP 5380)):
:#0  0x001b097d in std::_Rb_tree_decrement (__x=0x8352e88) at ../../../../libstdc++-v3/src/tree.cc:91
:No locals.
:#1  0x080bda85 in operator-- (this=<synthetic pointer>) at /usr/include/c++/4.6.0/bits/stl_tree.h:203
:No locals.
:#2  std::_Rb_tree<CInput*, CInput*, std::_Identity<CInput*>, std::less<CInput*>, std::allocator<CInput*> >::_M_insert_unique (this=0x8352e84, __v=@0xbf83c680) at /usr/include/c++/4.6.0/bits/stl_tree.h:1269
:        __x = <optimized out>
:        __y = <optimized out>
:        __comp = <optimized out>
:        __j = <optimized out>
:#3  0x080bd2c0 in insert (__x=@0xbf83c680, this=0x8352e84) at /usr/include/c++/4.6.0/bits/stl_set.h:410
:No locals.
:#4  RegisterCInput (input=0x8341160) at src/client/InputEvents.cpp:107
:No locals.
:#5  0x0809aa79 in CInput::CInput (this=0x8341160) at src/client/CInput.cpp:378
:No locals.
:#6  0x0804fcf5 in __static_initialization_and_destruction_0 (__initialize_p=<optimized out>, __priority=<optimized out>) at src/main.cpp:60
:No locals.
:#7  _GLOBAL__sub_I_tLX () at src/main.cpp:978
:No locals.
:#8  0x082d23e2 in __libc_csu_init ()
:No symbol table info available.
:#9  0x00a0b4aa in __libc_start_main (main=0x804f010 <main(int, char**)>, argc=1, ubp_av=0xbf83c794, init=0x82d2390 <__libc_csu_init>, fini=0x82d2400 <__libc_csu_fini>, rtld_fini=0x64bbc0 <_dl_fini>, stack_end=0xbf83c78c) at libc-start.c:185
:        result = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1216324048, 1, 1, 0, 0, 134520376}, mask_was_saved = 137618816}}, priv = {pad = {0x9fe85c, 0x65cfc4, 0x1, 0x8058534}, data = {prev = 0x9fe85c, cleanup = 0x65cfc4, canceltype = 1}}}
:        not_first_call = <optimized out>
:#10 0x08058555 in _start () at include/LieroX.h:186
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x0027bea0  0x0028219c  Yes         /usr/lib/libzip.so.1.0.0
:0x007aaae0  0x007b39cc  Yes         /usr/lib/libNL.so.1.6.8
:0x00d63280  0x00dbd63c  Yes         /usr/lib/libSDL-1.2.so.0.11.3
:0x007cf630  0x007db5cc  Yes         /lib/libpthread.so.0
:0x008bfc80  0x009aabec  Yes         /usr/lib/libxml2.so.2.7.8
:0x00543890  0x0054bcdc  Yes         /usr/lib/libSDL_image-1.2.so.0.8.2
:0x004ea730  0x00502aec  Yes         /usr/lib/libSDL_mixer-1.2.so.0.10.1
:0x00115610  0x0012be8c  Yes         /usr/lib/libgd.so.2.0.0
:0x00eb1670  0x00ebeaac  Yes         /lib/libz.so.1.2.5
:0x00299310  0x00329fbc  Yes         /usr/lib/libX11.so.6.3.0
:0x0019abe0  0x0020e46b  Yes         /usr/lib/libstdc++.so.6.0.16
:0x002444b0  0x0025fbbc  Yes         /lib/libm.so.6
:0x00734f30  0x0074bc5c  Yes         /lib/libgcc_s-4.6.0-20110509.so.1
:0x00a08ce0  0x00b27714  Yes         /lib/libc.so.6
:0x0041ea60  0x0041fa8c  Yes         /lib/libdl.so.2
:0x0063c850  0x006553ff  Yes         /lib/ld-linux.so.2
:0x00683720  0x006a04ec  Yes         /usr/lib/libpng12.so.0
:0x003c0750  0x003f575c  Yes         /usr/lib/libjpeg.so.62
:0x00427da0  0x0045befc  Yes         /usr/lib/libtiff.so.3
:0x004871d0  0x0049324c  Yes         /usr/lib/libXpm.so.4
:0x00e26010  0x00e4166c  Yes         /usr/lib/libfontconfig.so.1
:0x00566480  0x005d12cc  Yes         /usr/lib/libfreetype.so.6
:0x00fb9e90  0x00fc97bc  Yes         /usr/lib/libxcb.so.1
:0x00498040  0x004b1c7c  Yes         /lib/libexpat.so.1
:0x00c06a00  0x00c0788c  Yes         /usr/lib/libXau.so.6
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x8352e88	137703048
:edx            0xbf83c680	-1081883008
:ebx            0xbf83c668	-1081883032
:esp            0xbf83c5fc	0xbf83c5fc
:ebp            0x1	0x1
:esi            0x8352e88	137703048
:edi            0x8352e84	137703044
:eip            0x1b097d	0x1b097d <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+13>
:eflags         0x210246	[ PF ZF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function std::_Rb_tree_decrement(std::_Rb_tree_node_base*):
:   0x001b0970 <+0>:	mov    0x4(%esp),%ecx
:   0x001b0974 <+4>:	mov    (%ecx),%eax
:   0x001b0976 <+6>:	test   %eax,%eax
:   0x001b0978 <+8>:	jne    0x1b0984 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+20>
:   0x001b097a <+10>:	mov    0x4(%ecx),%eax
:=> 0x001b097d <+13>:	mov    0x4(%eax),%eax
:   0x001b0980 <+16>:	cmp    %ecx,%eax
:   0x001b0982 <+18>:	je     0x1b099a <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+42>
:   0x001b0984 <+20>:	mov    0x8(%ecx),%eax
:   0x001b0987 <+23>:	test   %eax,%eax
:   0x001b0989 <+25>:	jne    0x1b0992 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+34>
:   0x001b098b <+27>:	jmp    0x1b099e <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+46>
:   0x001b098d <+29>:	lea    0x0(%esi),%esi
:   0x001b0990 <+32>:	mov    %edx,%eax
:   0x001b0992 <+34>:	mov    0xc(%eax),%edx
:   0x001b0995 <+37>:	test   %edx,%edx
:   0x001b0997 <+39>:	jne    0x1b0990 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+32>
:   0x001b0999 <+41>:	ret    
:   0x001b099a <+42>:	mov    0xc(%eax),%eax
:   0x001b099d <+45>:	ret    
:   0x001b099e <+46>:	mov    0x4(%ecx),%edx
:   0x001b09a1 <+49>:	mov    %edx,%eax
:   0x001b09a3 <+51>:	cmp    0x8(%edx),%ecx
:   0x001b09a6 <+54>:	je     0x1b09b2 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+66>
:   0x001b09a8 <+56>:	jmp    0x1b09bb <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+75>
:   0x001b09aa <+58>:	lea    0x0(%esi),%esi
:   0x001b09b0 <+64>:	mov    %eax,%edx
:   0x001b09b2 <+66>:	mov    0x4(%edx),%eax
:   0x001b09b5 <+69>:	cmp    %edx,0x8(%eax)
:   0x001b09b8 <+72>:	je     0x1b09b0 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+64>
:   0x001b09ba <+74>:	ret    
:   0x001b09bb <+75>:	ret    
:End of assembler dump.

build_ids:
:e195e96c3b4e414130e58547c9f1d2fe106e0954
:fb19bcc65e0564e9efc40245049803f435344010
:eb23f629202ba176f8314f37214fdc95ce568115
:56fd640f6323da0500385bfd10d919f84811971a
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:26883f508da875084090d8220f276dbda913957f
:9b1dc1c1d4ac875f13b924c2b51887b08bcae9a9
:6fdbfcd9e4f3f1a2e5346a39cc05ed4104315ccf
:d28906f2056625bdd1dedc5800c5527518a0056f
:b2e3b7e1f927ff5d61be1ba2aabc278c1c1870df
:d2faf2dc007f9e3623cc4407eb3f75b94d64ea39
:826bb4d8376c62b913b61301b276adab50e11c5a
:b70e4818fe0cd74e19bb16629722533eb46a6b25
:64c6161b5daff7316b362182d933da47d579acd6
:15bab279752ad8e30f901abae77bcb1ed1f38977
:bf2ff68d9e2273d0b66a61a27581a633cdceabdc
:3092da570fc462f500ef826afa1b48a3d2280b54
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:0d04c271032bbb821f18e7ed384ea020c338731a
:798697a352bae4178953ba502fb04f33dd0ed987
:f5972ca949be5ea714d53769e532478f9d1b6f56
:356d76ed7f3fe0522c4af11f5c2fa55f169918c0
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:f1ad2e28e209814b673f435981b1feb448714b5b
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:d60f5c30bcc644be9d766e8b79ffe653bbf38684
:2f7a7d133eecb3a65f9ca60bdbe9e8df4553fce6

dsos:
:/lib/libm-2.13.90.so glibc-2.13.90-12.i686 (Fedora Project) 1305634630
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305635639
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305635015
:/usr/lib/libtiff.so.3.9.5 libtiff-3.9.5-1.fc15.i686 (Fedora Project) 1305634908
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-7.fc15.i686 (Fedora Project) 1305634863
:/usr/lib/libzip.so.1.0.0 libzip-0.9.3-3.fc15.i686 (Fedora Project) 1305636853
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305635020
:/usr/bin/openlierox openlierox-0.57-0.16.beta8.fc15.i686 (Fedora Project) 1305642075
:/lib/libc-2.13.90.so glibc-2.13.90-12.i686 (Fedora Project) 1305634630
:/usr/lib/libNL.so.1.6.8 hawknl-1.68-7.fc15.i686 (Fedora Project) 1305637149
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.0-2.fc15.i686 (Fedora Project) 1305634871
:/usr/lib/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.i686 (Fedora Project) 1305634859
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305634857
:/usr/lib/libSDL_mixer-1.2.so.0.10.1 SDL_mixer-1.2.11-5.fc15.i686 (Fedora Project) 1305636004
:/lib/libdl-2.13.90.so glibc-2.13.90-12.i686 (Fedora Project) 1305634630
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305635018
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305634880
:/usr/lib/libgd.so.2.0.0 gd-2.0.35-12.fc15.i686 (Fedora Project) 1305635815
:/lib/ld-2.13.90.so glibc-2.13.90-12.i686 (Fedora Project) 1305634630
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.i686 (Fedora Project) 1305634861
:/lib/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.i686 (Fedora Project) 1305634593
:/lib/libpthread-2.13.90.so glibc-2.13.90-12.i686 (Fedora Project) 1305634630
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1305634866
:/usr/lib/libSDL_image-1.2.so.0.8.2 SDL_image-1.2.10-2.fc15.i686 (Fedora Project) 1305635211
:/usr/lib/libSDL-1.2.so.0.11.3 SDL-1.2.14-11.fc15.i686 (Fedora Project) 1305634891
:/usr/lib/libXpm.so.4.11.0 libXpm-3.5.8-3.fc15.i686 (Fedora Project) 1305635072

environ:
:QTLIB=/usr/lib/qt-3.3/lib
:LANG=fr_FR.UTF-8
:DISPLAY=:0
:SHLVL=1
:LOGNAME=misc
:PWD=/home/misc
:GNOME_KEYRING_PID=18484
:CVS_RSH=ssh
:IMSETTINGS_MODULE=none
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/18492,unix/unix:/tmp/.ICE-unix/18492
:XAUTHORITY=/var/run/gdm/auth-for-misc-MvWd9D/database
:QTDIR=/usr/lib/qt-3.3
:GTK_IM_MODULE=gtk-im-context-simple
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_SESSION_ID=75
:DESKTOP_SESSION=gnome
:G_BROKEN_FILENAMES=1
:GDMSESSION=gnome
:GNOME_KEYRING_CONTROL=/tmp/keyring-mvmGNu
:USERNAME=misc
:WINDOWPATH=7
:COLORTERM=gnome-terminal
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:ORBIT_SOCKETDIR=/tmp/orbit-misc
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6t1IBJR6XZ,guid=675f1dc0b9f644579ac12d2f0002dd35
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/misc
:_=/usr/bin/openlierox
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XDG_SESSION_COOKIE=ba2bbede1eb1739ebbdf0aa94a12d6f0-1306048624.557070-1754235547
:GDM_LANG=
:HOSTNAME=akroma.ephaone.org
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/home/misc
:WINDOWID=38245873
:TERM=xterm
:SHELL=/bin/zsh
:HISTSIZE=1000
:SSH_AUTH_SOCK=/tmp/keyring-mvmGNu/ssh
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/home/misc/bin:/usr/local/sbin:/usr/sbin:/sbin:/sbin:/usr/sbin/:/home/misc/bin/:
:QT_IM_MODULE=xim
:HOME=/home/misc
:USER=misc
:XMODIFIERS=@im=none
:XDG_RUNTIME_DIR=/run/user/misc
:QTINC=/usr/lib/qt-3.3/include
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:GPG_AGENT_INFO=/tmp/keyring-mvmGNu/gpg:0:1
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:EDITOR=vim
:BROWSER=w3m
:HISTFILE=/home/misc/.zsh_history
:SAVEHIST=1000
:'LESS= -R'

maps:
:00110000-00131000 r-xp 00000000 fd:01 121154     /usr/lib/libgd.so.2.0.0
:00131000-00151000 rw-p 00020000 fd:01 121154     /usr/lib/libgd.so.2.0.0
:00151000-00155000 rw-p 00000000 00:00 0 
:00155000-00234000 r-xp 00000000 fd:01 119983     /usr/lib/libstdc++.so.6.0.16
:00234000-00235000 ---p 000df000 fd:01 119983     /usr/lib/libstdc++.so.6.0.16
:00235000-00239000 r--p 000df000 fd:01 119983     /usr/lib/libstdc++.so.6.0.16
:00239000-0023a000 rw-p 000e3000 fd:01 119983     /usr/lib/libstdc++.so.6.0.16
:0023a000-00241000 rw-p 00000000 00:00 0 
:00241000-0026a000 r-xp 00000000 fd:01 112577     /lib/libm-2.13.90.so
:0026a000-0026b000 r--p 00028000 fd:01 112577     /lib/libm-2.13.90.so
:0026b000-0026c000 rw-p 00029000 fd:01 112577     /lib/libm-2.13.90.so
:0027a000-00284000 r-xp 00000000 fd:01 24693      /usr/lib/libzip.so.1.0.0
:00284000-00285000 rw-p 00009000 fd:01 24693      /usr/lib/libzip.so.1.0.0
:00285000-003ba000 r-xp 00000000 fd:01 67249      /usr/lib/libX11.so.6.3.0
:003ba000-003be000 rw-p 00134000 fd:01 67249      /usr/lib/libX11.so.6.3.0
:003be000-003fe000 r-xp 00000000 fd:01 12920      /usr/lib/libjpeg.so.62.0.0
:003fe000-003ff000 rw-p 0003f000 fd:01 12920      /usr/lib/libjpeg.so.62.0.0
:003ff000-0040f000 rw-p 00000000 00:00 0 
:0041e000-00421000 r-xp 00000000 fd:01 112576     /lib/libdl-2.13.90.so
:00421000-00422000 r--p 00002000 fd:01 112576     /lib/libdl-2.13.90.so
:00422000-00423000 rw-p 00003000 fd:01 112576     /lib/libdl-2.13.90.so
:00423000-00483000 r-xp 00000000 fd:01 42192      /usr/lib/libtiff.so.3.9.5
:00483000-00485000 rw-p 00060000 fd:01 42192      /usr/lib/libtiff.so.3.9.5
:00485000-00495000 r-xp 00000000 fd:01 12466      /usr/lib/libXpm.so.4.11.0
:00495000-00496000 rw-p 00010000 fd:01 12466      /usr/lib/libXpm.so.4.11.0
:00496000-004bc000 r-xp 00000000 fd:01 11421      /lib/libexpat.so.1.5.2
:004bc000-004be000 rw-p 00026000 fd:01 11421      /lib/libexpat.so.1.5.2
:004e6000-00509000 r-xp 00000000 fd:01 12145      /usr/lib/libSDL_mixer-1.2.so.0.10.1
:00509000-00512000 rw-p 00022000 fd:01 12145      /usr/lib/libSDL_mixer-1.2.so.0.10.1
:00512000-00536000 rw-p 00000000 00:00 0 
:00542000-0054e000 r-xp 00000000 fd:01 12825      /usr/lib/libSDL_image-1.2.so.0.8.2
:0054e000-0054f000 rw-p 0000b000 fd:01 12825      /usr/lib/libSDL_image-1.2.so.0.8.2
:0054f000-0055f000 rw-p 00000000 00:00 0 
:0055f000-005f5000 r-xp 00000000 fd:01 69454      /usr/lib/libfreetype.so.6.6.2
:005f5000-005f9000 rw-p 00095000 fd:01 69454      /usr/lib/libfreetype.so.6.6.2
:00630000-00631000 r-xp 00000000 00:00 0          [vdso]
:0063c000-0065c000 r-xp 00000000 fd:01 15804      /lib/ld-2.13.90.so
:0065c000-0065d000 r--p 0001f000 fd:01 15804      /lib/ld-2.13.90.so
:0065d000-0065e000 rw-p 00020000 fd:01 15804      /lib/ld-2.13.90.so
:00680000-006a8000 r-xp 00000000 fd:01 52057      /usr/lib/libpng12.so.0.44.0
:006a8000-006a9000 rw-p 00027000 fd:01 52057      /usr/lib/libpng12.so.0.44.0
:00733000-0074f000 r-xp 00000000 fd:01 8936       /lib/libgcc_s-4.6.0-20110509.so.1
:0074f000-00750000 rw-p 0001b000 fd:01 8936       /lib/libgcc_s-4.6.0-20110509.so.1
:007a8000-007b8000 r-xp 00000000 fd:01 19173      /usr/lib/libNL.so.1.6.8
:007b8000-007b9000 rw-p 0000f000 fd:01 19173      /usr/lib/libNL.so.1.6.8
:007cb000-007e2000 r-xp 00000000 fd:01 112605     /lib/libpthread-2.13.90.so
:007e2000-007e3000 r--p 00016000 fd:01 112605     /lib/libpthread-2.13.90.so
:007e3000-007e4000 rw-p 00017000 fd:01 112605     /lib/libpthread-2.13.90.so
:007e4000-007e6000 rw-p 00000000 00:00 0 
:008a4000-009ec000 r-xp 00000000 fd:01 40607      /usr/lib/libxml2.so.2.7.8
:009ec000-009f1000 rw-p 00147000 fd:01 40607      /usr/lib/libxml2.so.2.7.8
:009f1000-009f2000 rw-p 00000000 00:00 0 
:009f2000-00b7b000 r-xp 00000000 fd:01 112570     /lib/libc-2.13.90.so
:00b7b000-00b7c000 ---p 00189000 fd:01 112570     /lib/libc-2.13.90.so
:00b7c000-00b7e000 r--p 00189000 fd:01 112570     /lib/libc-2.13.90.so
:00b7e000-00b7f000 rw-p 0018b000 fd:01 112570     /lib/libc-2.13.90.so
:00b7f000-00b82000 rw-p 00000000 00:00 0 
:00c06000-00c08000 r-xp 00000000 fd:01 120398     /usr/lib/libXau.so.6.0.0
:00c08000-00c09000 rw-p 00001000 fd:01 120398     /usr/lib/libXau.so.6.0.0
:00d5e000-00dd2000 r-xp 00000000 fd:01 102408     /usr/lib/libSDL-1.2.so.0.11.3
:00dd2000-00dd4000 rw-p 00073000 fd:01 102408     /usr/lib/libSDL-1.2.so.0.11.3
:00dd4000-00e00000 rw-p 00000000 00:00 0 
:00e22000-00e55000 r-xp 00000000 fd:01 22368      /usr/lib/libfontconfig.so.1.4.4
:00e55000-00e56000 rw-p 00033000 fd:01 22368      /usr/lib/libfontconfig.so.1.4.4
:00eb0000-00ec5000 r-xp 00000000 fd:01 119978     /lib/libz.so.1.2.5
:00ec5000-00ec6000 rw-p 00014000 fd:01 119978     /lib/libz.so.1.2.5
:00fb3000-00fd0000 r-xp 00000000 fd:01 12400      /usr/lib/libxcb.so.1.1.0
:00fd0000-00fd1000 rw-p 0001d000 fd:01 12400      /usr/lib/libxcb.so.1.1.0
:08048000-0833e000 r-xp 00000000 fd:01 84567      /usr/bin/openlierox
:0833e000-08341000 rw-p 002f6000 fd:01 84567      /usr/bin/openlierox
:08341000-0835b000 rw-p 00000000 00:00 0 
:b7801000-b7809000 rw-p 00000000 00:00 0 
:b782b000-b782c000 rw-p 00000000 00:00 0 
:bf81d000-bf83e000 rw-p 00000000 00:00 0          [stack]
Comment 1 Egon Kastelijn 2011-06-19 10:11:57 EDT
Package: openlierox-0.57-0.16.beta8.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Started openlierox
Comment 2 Egon Kastelijn 2011-06-19 12:47:28 EDT
I see that Michael's trace is missing some debuginfo.
My trace has all the debuginfo, so I'll post it.

kind regards,

   Egon

======================

[New LWP 8222]
[Thread debugging using libthread_db enabled]
Core was generated by `openlierox'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003a52a6e8ca in std::_Rb_tree_decrement (__x=0x8fda88) at ../../../../libstdc++-v3/src/tree.cc:91
91	    if (__x->_M_color == _S_red 

Thread 1 (Thread 0x7fae2252e740 (LWP 8222)):
#0  0x0000003a52a6e8ca in std::_Rb_tree_decrement (__x=0x8fda88) at ../../../../libstdc++-v3/src/tree.cc:91
No locals.
#1  0x0000000000473466 in operator-- (this=read_sleb128: Corrupted DWARF expression.
) at /usr/include/c++/4.6.0/bits/stl_tree.h:203
No locals.
#2  std::_Rb_tree<CInput*, CInput*, std::_Identity<CInput*>, std::less<CInput*>, std::allocator<CInput*> >::_M_insert_unique (this=0x8fda80, __v=@0x7fff62fa40f8) at /usr/include/c++/4.6.0/bits/stl_tree.h:1269
        __x = <optimized out>
        __y = <optimized out>
        __comp = <optimized out>
        __j = <optimized out>
#3  0x0000000000472cc8 in insert (__x=@0x7fff62fa40f8, this=0x8fda80) at /usr/include/c++/4.6.0/bits/stl_set.h:410
        __p = {first = , second = 192}
#4  RegisterCInput (input=0x8e94e0) at src/client/InputEvents.cpp:107
No locals.
#5  0x0000000000451c46 in CInput::CInput (this=0x8e94e0) at src/client/CInput.cpp:378
No locals.
#6  0x000000000040a41a in __static_initialization_and_destruction_0 (__initialize_p=<optimized out>, __priority=<optimized out>) at src/main.cpp:60
No locals.
#7  _GLOBAL__sub_I_tLX () at src/main.cpp:978
No locals.
#8  0x000000000067685d in __libc_csu_init ()
No symbol table info available.
#9  0x0000003a4d221330 in __libc_start_main (main=0x409610 <main(int, char**)>, argc=1, ubp_av=0x7fff62fa4268, init=0x676800 <__libc_csu_init>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff62fa4258) at libc-start.c:185
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 0, 0, 1, 140734853956200, 210306606371, 250497370928, 250397909627}, mask_was_saved = 1291977384}}, priv = {pad = {0x1, 0x7fff62fa4268, 0x7fff62fa4278, 0x1}, data = {prev = 0x1, cleanup = 0x7fff62fa4268, canceltype = 1660568184}}}
        not_first_call = <optimized out>
#10 0x0000000000411251 in _start ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x00000030f7402b60  0x00000030f74081fc  Yes         /usr/lib64/libzip.so.1.0.0
0x00000030f7003b90  0x00000030f700bbcc  Yes         /usr/lib64/libNL.so.1.6.8
0x0000003089007e80  0x000000308905a23c  Yes         /usr/lib64/libSDL-1.2.so.0.11.3
0x0000003a4d605640  0x0000003a4d61038c  Yes         /lib64/libpthread-2.14.so
0x0000003a56a2c960  0x0000003a56b1007c  Yes         /usr/lib64/libxml2.so.2.7.8
0x0000003cc9202420  0x0000003cc9209d2c  Yes         /usr/lib64/libSDL_image-1.2.so.0.8.2
0x0000003cc8e063a0  0x0000003cc8e1c04c  Yes         /usr/lib64/libSDL_mixer-1.2.so.0.10.1
0x0000003089808690  0x000000308981cd6c  Yes         /usr/lib64/libgd.so.2.0.0
0x0000003a4ea01e70  0x0000003a4ea0e67c  Yes         /lib64/libz.so.1.2.5
0x0000003a5021dce0  0x0000003a502a97ec  Yes         /usr/lib64/libX11.so.6.3.0
0x0000003a52a5a400  0x0000003a52ac308a  Yes         /usr/lib64/libstdc++.so.6.0.16
0x0000003a4de03ea0  0x0000003a4de43e9c  Yes         /lib64/libm-2.14.so
0x0000003a4e6028a0  0x0000003a4e6120cc  Yes         /lib64/libgcc_s-4.6.0-20110530.so.1
0x0000003a4d21ece0  0x0000003a4d3430ec  Yes         /lib64/libc-2.14.so
0x0000003a4da00de0  0x0000003a4da0191c  Yes         /lib64/libdl-2.14.so
0x0000003a4ce00b20  0x0000003a4ce18c3a  Yes         /lib64/ld-2.14.so
0x0000003a51a04870  0x0000003a51a1eb5c  Yes         /usr/lib64/libpng12.so.0.44.0
0x0000003a63a03c40  0x0000003a63a327fc  Yes         /usr/lib64/libjpeg.so.62.0.0
0x0000003087407830  0x0000003087439d6c  Yes         /usr/lib64/libtiff.so.3
0x0000003a5b002f90  0x0000003a5b00e36c  Yes         /usr/lib64/libXpm.so.4
0x0000003a52605d90  0x0000003a5261f7fc  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003a5220c960  0x0000003a522738fc  Yes         /usr/lib64/libfreetype.so.6.6.2
0x0000003a4fe08660  0x0000003a4fe13b9c  Yes         /usr/lib64/libxcb.so.1
0x0000003a51203b70  0x0000003a5121d84c  Yes         /lib64/libexpat.so.1.5.2
0x0000003a4fa00dd0  0x0000003a4fa01b2c  Yes         /usr/lib64/libXau.so.6
0x00007fff62fff600  0x00007fff62fff990  Yes         /lib/modules/2.6.38.8-32.fc15.x86_64/vdso/vdso.so
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0x8fda80	9427584
rcx            0x80	128
rdx            0x3a4d593670	250405795440
rsi            0x7fff62fa40f8	140734853955832
rdi            0x8fda88	9427592
rbp            0x8fda88	0x8fda88
rsp            0x7fff62fa4098	0x7fff62fa4098
r8             0x3a52cf4070	250497417328
r9             0x3a52ce9bf0	250497375216
r10            0x6	6
r11            0x3a52ce9920	250497374496
r12            0x7fff62fa40f8	140734853955832
r13            0x1	1
r14            0x7fff62fa4268	140734853956200
r15            0x7fff62fa4278	140734853956216
rip            0x3a52a6e8ca	0x3a52a6e8ca <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+10>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function std::_Rb_tree_decrement(std::_Rb_tree_node_base*):
   0x0000003a52a6e8c0 <+0>:	mov    (%rdi),%eax
   0x0000003a52a6e8c2 <+2>:	test   %eax,%eax
   0x0000003a52a6e8c4 <+4>:	jne    0x3a52a6e8d3 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+19>
   0x0000003a52a6e8c6 <+6>:	mov    0x8(%rdi),%rax
=> 0x0000003a52a6e8ca <+10>:	mov    0x8(%rax),%rax
   0x0000003a52a6e8ce <+14>:	cmp    %rdi,%rax
   0x0000003a52a6e8d1 <+17>:	je     0x3a52a6e8ee <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+46>
   0x0000003a52a6e8d3 <+19>:	mov    0x10(%rdi),%rax
   0x0000003a52a6e8d7 <+23>:	test   %rax,%rax
   0x0000003a52a6e8da <+26>:	jne    0x3a52a6e8e3 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+35>
   0x0000003a52a6e8dc <+28>:	jmp    0x3a52a6e8f3 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+51>
   0x0000003a52a6e8de <+30>:	xchg   %ax,%ax
   0x0000003a52a6e8e0 <+32>:	mov    %rdx,%rax
   0x0000003a52a6e8e3 <+35>:	mov    0x18(%rax),%rdx
   0x0000003a52a6e8e7 <+39>:	test   %rdx,%rdx
   0x0000003a52a6e8ea <+42>:	jne    0x3a52a6e8e0 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+32>
   0x0000003a52a6e8ec <+44>:	repz retq 
   0x0000003a52a6e8ee <+46>:	mov    0x18(%rax),%rax
   0x0000003a52a6e8f2 <+50>:	retq   
   0x0000003a52a6e8f3 <+51>:	mov    0x8(%rdi),%rdx
   0x0000003a52a6e8f7 <+55>:	cmp    0x10(%rdx),%rdi
   0x0000003a52a6e8fb <+59>:	mov    %rdx,%rax
   0x0000003a52a6e8fe <+62>:	je     0x3a52a6e90b <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+75>
   0x0000003a52a6e900 <+64>:	jmp    0x3a52a6e917 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+87>
   0x0000003a52a6e902 <+66>:	nopw   0x0(%rax,%rax,1)
   0x0000003a52a6e908 <+72>:	mov    %rax,%rdx
   0x0000003a52a6e90b <+75>:	mov    0x8(%rdx),%rax
   0x0000003a52a6e90f <+79>:	cmp    %rdx,0x10(%rax)
   0x0000003a52a6e913 <+83>:	je     0x3a52a6e908 <std::_Rb_tree_decrement(std::_Rb_tree_node_base*)+72>
   0x0000003a52a6e915 <+85>:	repz retq 
   0x0000003a52a6e917 <+87>:	repz retq 
End of assembler dump.
Comment 3 Ryan 2011-08-21 09:59:50 EDT
Package: openlierox-0.57-0.16.beta8.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
attempted to run openlierox
after attempting to load the crash occurred
Comment 4 Fanis Attard 2011-11-16 07:09:04 EST
Package: openlierox-0.57-0.16.beta8.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
The application crashes on start.
Comment 5 Doncho N. Gunchev 2012-01-18 14:09:36 EST
I rebuilt the RPM with version 0.58_rc3 and the game started using these commands:

$ cd /usr/share/OpenLieroX
$ openlierox
Comment 6 Hans de Goede 2012-01-19 02:48:05 EST
Hi,

(In reply to comment #5)
> I rebuilt the RPM with version 0.58_rc3 and the game started using these
> commands:
> 
> $ cd /usr/share/OpenLieroX
> $ openlierox

Thanks for looking intot this!

I've already prepared an update to 0.59beta9 for rawhide / F-17, if we're going to do a version bump anyways I would prefer to jump to that version. So I'm going to prepare an update for F-15 and F-16 to that version. Please give it a spin and let me know how it works.

Regards,

Hans
Comment 7 Fedora Update System 2012-01-19 04:58:44 EST
openlierox-0.59-0.2.beta9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openlierox-0.59-0.2.beta9.fc16
Comment 8 Fedora Update System 2012-01-19 05:00:01 EST
openlierox-0.59-0.2.beta9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openlierox-0.59-0.2.beta9.fc15
Comment 9 Fedora Update System 2012-01-19 16:59:07 EST
Package openlierox-0.59-0.2.beta9.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlierox-0.59-0.2.beta9.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0706/openlierox-0.59-0.2.beta9.fc15
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-01-27 22:29:52 EST
openlierox-0.59-0.2.beta9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-01-27 22:32:10 EST
openlierox-0.59-0.2.beta9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.